using System;
using System.Collections;

namespace RiskAnalysis
{
	public class SequenceMessage : DiagramElement
	{
		SequenceLifeLine recevent;
		SequenceLifeLine sendevent;

		public SequenceLifeLine Recevent
		{
			get{return recevent;}
			set{recevent = value;}
		}

		public SequenceLifeLine Sendevent
		{
			get{return sendevent;}
			set{sendevent = value;}
		}

		public SequenceMessage(string name, SequenceLifeLine recevent, SequenceLifeLine sendevent, string id)
		{
			this.name=name;
			this.recevent=recevent;
			this.sendevent=sendevent;
			this.id=id;	
			//this.stereotypes=stereotypes;
		}

		public string FromLifeLine()
		{
			return Recevent.Name;
		}

		public string ToLifeLine()
		{
			return Sendevent.Name;
		}
	}
}
