using System;
using System.Collections;
using System.Runtime.Serialization;

namespace EnterpriseRepresentation
{
    [Serializable]
	public class BusinessFunctionDecision : BusinessFunctionObject, IFunctionMultipleNextObjects
	{
		public object Next
		{
			get{return next;}   
			set{next = (ArrayList)value;}
		}

		ArrayList next = new ArrayList();
        ArrayList probs = new ArrayList();

		public BusinessFunctionDecision(){}

        public int AddProb(double p) { return probs.Add(p); }
        public double GetProbability(int i) { return (double)(probs[i]); }

		public int GetNumberOfNexts(){return next.Count;}
		public int AddNext(object n){return next.Add(n);}
		public object GetNext(int i){return next[i];}

        public int GetIndexOfObject(object obj) { return next.IndexOf(obj); }
        public ArrayList GetNexts() { return next; }
        public ArrayList GetProbs() { return probs; }

		}
}
