using System;
using System.Runtime.Serialization;

namespace EnterpriseRepresentation
{
    [Serializable]
	public class BusinessProcess : BusinessFunctionObject
	{
		BusinessFunctionObject first;		
		public string name, stereotype;
        public int criticality = 0;

        public int Criticality
        {
            get { return criticality; }
            set { criticality = value; }
        }
		
		public string Name
		{
			get{return name;}
			set{name = value;}
		}

		public BusinessFunctionObject First
		{
			get{return first;}
			set{first = value;}	
		}   

		public BusinessProcess(){}

        public BusinessProcess(string name, int criticality) 
        {
            this.name = name;
            this.criticality = criticality;
        }
	}
}
