using System;
using System.Collections;
using System.Runtime.Serialization;

namespace EnterpriseRepresentation
{
    [Serializable]
	public class System : EnterpriseEntity
	{
		public Environment env;
        public ArrayList components = new ArrayList();
        public ArrayList sysops = new ArrayList();

		public System(string name, Environment env, string id)
		{
			this.name = name;
			this.id = id;
			this.env=env;	
		}

        public void AddComponent(Component c) { components.Add(c); }			
		public void AddSystemOperation(SystemOperation sysop){sysops.Add(sysop);}
	}
}
